
### error
- type: boolean
- description: Should be true if had failure during the progress
### errorLabel
- type: string
- description: Label to display when an error happens
### errorMessage
- type: string
- description: Message to display when an error happens
### light
- type: boolean
- description: Use light theme instead of dark theme
### showProgressIndication
- type: boolean
- description: Use to display a percentage progress
### label
- type: string
- description: Use to display custom text in the progress bar
### labelPlacement
- type: "center" | "bottom"
- description: Placement of the label in the progress bar
### skin
- type: "standard" | "premium" | "success"
- description: Skin of the bar
### size
- type: "tiny" | "small" | "medium" | "large"
- description: Size of the bar
### value
- type: string | number
- description: The number of the percentage progress
### dataHook
- type: string
- description: No description

